Subject: Re: Bug 7596 - Potential performance bottleneck for Linxu TCP

From: Stephen Hemminger <[email-masked]>
Date: Tue, 19 Dec 2006 21:11:24 -0800

On Tue, 19 Dec 2006 18:55:25 -0800 (PST)
David Miller <[email-masked]> wrote:

> From: Herbert Xu <[email-masked]>
> Date: Wed, 20 Dec 2006 10:52:19 +1100
> 
> > Stephen Hemminger <[email-masked]> wrote:
> > > I noticed this bit of discussion in tcp_recvmsg. It implies that a better
> > > queuing policy would be good. But it is confusing English (Alexey?) so
> > > not sure where to start.
> > 
> > Actually I think the comment says that the current code isn't the
> > most elegant but is more efficient.
> 
> It's just explaining the hierarchy of queues that need to
> be purged, and in what order, for correctness.
> 
> Alexey added that code when I mentioned to him, right after
> we added the prequeue, that it was possible process the
> normal backlog before the prequeue, which is illegal.
> In fixing that bug, he added the comment we are discussing.

It was the realtime/normal comments that piqued my interest.
Perhaps we should either tweak process priority or remove
the comments.